Get vacancies assigned to an employee
This endpoint returns the vacancies that an employee has accepted within a given time interval.
GET /api/v1/businesses/{businessId}/employees/{employeeId}/vacancies?from={yyyy-MM-dd}&to={yyyy-MM-dd}
If the data included in the request is correct —both businessId and employeeId—, the response will contain the list of vacancies accepted by the employee.
Response example
{
"vacancies": [
{
"id": "TV7",
"product": "0001-G",
"day": "2026-07-24",
"publishToSiblings": true,
"shifts": [
{
"start": "2026-07-24T20:00:00+02:00",
"end": "2026-07-24T21:00:00+02:00"
},
{
"start": "2026-07-24T23:00:00+02:00",
"end": "2026-07-25T05:00:00+02:00"
}
],
"employees": [
"1006370",
"2677189"
],
"acceptedEmployee": "2677189"
}
]
}
Details
-
id: external identifier of the vacancy.
-
product: external identifier of the product linked to the vacancy.
-
day: day of the vacancy in
yyyy-MM-ddformat. -
publishToSiblings: indicates whether the vacancy was also published for sibling products (
true) or only for the specified product (false). -
shifts: shifts defined for the vacancy. The
startandendfields are returned in the service’s local time, including its corresponding time zone. -
employees: list of external identifiers of all the employees to whom the vacancy was offered.
-
acceptedEmployee: external identifier of the employee who accepted the vacancy. Matches the
employeeIdfrom the request.
Considerations
This endpoint only returns vacancies where the queried employee is the accepter (acceptedEmployee); vacancies that were offered to them but not accepted do not appear in the list.
If there are no vacancies accepted by the employee for the indicated time period, the request will return an empty vacancies list.
Error codes
In addition to the common errors, this endpoint can return the following codes:
| Code | Message | Description |
|---|---|---|
|
To can not be before from |
The |
Useful links
What is a vacancy?
How to register a vacancy?